# TdApi.InputPassportElementErrorSourceSelfie (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputPassportElementErrorSourceSelfie

Package it.tdlight.jni

# Class TdApi.InputPassportElementErrorSourceSelfie

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputPassportElementErrorSource
it.tdlight.jni.TdApi.InputPassportElementErrorSourceSelfie

Enclosing class:
  TdApi

    public static class TdApi.InputPassportElementErrorSourceSelfie
    extends TdApi.InputPassportElementErrorSource

The selfie contains an error. The error is considered resolved when the file with the selfie changes.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`byte[]` | `fileHash` | Current hash of the file containing the selfie.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputPassportElementErrorSourceSelfie()` | The selfie contains an error.
`InputPassportElementErrorSourceSelfie​(byte[] fileHash)` | The selfie contains an error.
`InputPassportElementErrorSourceSelfie​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileHash

public byte[] fileHash
Current hash of the file containing the selfie.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputPassportElementErrorSourceSelfie

public InputPassportElementErrorSourceSelfie()
The selfie contains an error. The error is considered resolved when the file with the selfie changes.

### InputPassportElementErrorSourceSelfie

public InputPassportElementErrorSourceSelfie​(byte[] fileHash)
The selfie contains an error. The error is considered resolved when the file with the selfie changes.

Parameters:
  `fileHash` - byte[] Current hash of the file containing the selfie.

### InputPassportElementErrorSourceSelfie

public InputPassportElementErrorSourceSelfie​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`